Index: trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile	(revision 48)
+++ trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Makefile	(revision 51)
@@ -23,7 +23,7 @@
 DIR_DOCUMENTATION   	= ..
 DIR_INCLUDE		= Include
-DIR_PACKAGE		= Package
+DIR_PACKAGE		= Info
 DIR_DOCUMENTS		= Documents
-DIR_LANGUAGE		= Language
+DIR_LANGUAGE		= Info
 DIR_TYPE		= Info
 DIR_GRAPH		= Graph
@@ -43,5 +43,5 @@
 #--------------------------------------------------------------------------------
 
-ALL_FILES 		= $(wildcard $(DIR_TYPE)/*)
+ALL_FILES 		= $(wildcard $(DIR_TYPE)/*.type)
 
 TEX_FILES 		= $(wildcard $(DIR_TEX)/*.tex)
@@ -66,11 +66,12 @@
 			@\
 			for file in $(ALL_FILES); do                                				\
-				file=`$(BASENAME) $$file`;							\
-				type=`$(CAT) $(DIR_TYPE)/$$file`;						\
+				file=`$(BASENAME) $$file .type`;						\
+				type=`$(CAT) $(DIR_TYPE)/$$file.type`;						\
 						           		                			\
-				for lang in `$(CAT) $(DIR_LANGUAGE)/$$file`; do                        		\
+				for lang in `$(CAT) $(DIR_LANGUAGE)/$$file.lang`; do                        		\
 					if $(TEST) ! -f "$(DIR_TEX)/$$file-$$lang.tex"; then			\
 			                        $(ECHO) "s/@LANG/$$lang/"                     >  $$$$;          \
 			                        $(ECHO) "s/@FILE/$$file/"                     >> $$$$;          \
+			                        $(ECHO) "s/@DIRPACKAGE/$(DIR_PACKAGE)/"       >> $$$$;        	\
 			                        $(ECHO) "s/@DIRDOC/$(DIR_DOCUMENTS)\/$$file/" >> $$$$;        	\
 			                        $(ECHO) "s/@DIRSCHEMA/$(DIR_SCHEMA_EPS)/"     >> $$$$;        	\
@@ -137,5 +138,5 @@
 			$(READ) FILENAME;									\
 														\
-			if $(TEST) -z "$$FILENAME" -o -d "$(DIR_TYPE)/$$FILENAME";				\
+			if $(TEST) -z "$$FILENAME" -o -d "$(DIR_TYPE)/$$FILENAME.type";				\
 			then											\
 				$(ECHO) "Invalid name : string is empty, or filename is already used";		\
@@ -143,10 +144,10 @@
 			fi;											\
 														\
-			$(ECHO) "Create file      : $(DIR_LANGUAGE)/$$FILENAME";                 		\
+			$(ECHO) "Create file      : $(DIR_LANGUAGE)/$$FILENAME.lang";                 		\
 			$(ECHO) "                   (Default language : $(DEFAULT_LANG))";			\
-			$(ECHO) "$(DEFAULT_LANG)" > $(DIR_LANGUAGE)/$$FILENAME;                  		\
-														\
-			$(ECHO) "Create file      : $(DIR_TYPE)/$$FILENAME";                    		\
-			$(ECHO) $$TYPE > $(DIR_TYPE)/$$FILENAME;						\
+			$(ECHO) "$(DEFAULT_LANG)" > $(DIR_LANGUAGE)/$$FILENAME.lang;                  		\
+														\
+			$(ECHO) "Create file      : $(DIR_TYPE)/$$FILENAME.type";                    		\
+			$(ECHO) $$TYPE > $(DIR_TYPE)/$$FILENAME.type;						\
 														\
 			$(ECHO) "Create file      : $(DIR_PACKAGE)/$$FILENAME.sty";                    		\
@@ -178,5 +179,5 @@
 			CPT=1;                                      		                		\
 			for files in $(ALL_FILES); do                                  				\
-				files=`$(BASENAME) $$files`;                     				\
+				files=`$(BASENAME) $$files .type`;                     				\
 				$(ECHO) "$$CPT) $$files";           		                		\
 				FILES[$$CPT]=$$files;				                		\
@@ -200,9 +201,9 @@
 			FILENAME=$${FILES[$$NUM_FILE]};					      			\
 														\
-			$(ECHO) "Delete file      : $(DIR_TYPE)/$$FILENAME";                   			\
-			$(RM) $(DIR_TYPE)/$$FILENAME;                 						\
-														\
-			$(ECHO) "Delete file      : $(DIR_LANGUAGE)/$$FILENAME";                   		\
-			$(RM) $(DIR_LANGUAGE)/$$FILENAME;                 					\
+			$(ECHO) "Delete file      : $(DIR_TYPE)/$$FILENAME.type";                   		\
+			$(RM) $(DIR_TYPE)/$$FILENAME.type;                 					\
+														\
+			$(ECHO) "Delete file      : $(DIR_LANGUAGE)/$$FILENAME.lang";                   	\
+			$(RM) $(DIR_LANGUAGE)/$$FILENAME.lang;                 					\
 														\
 			$(ECHO) "Delete file      : $(DIR_PACKAGE)/$$FILENAME.sty";                    		\
@@ -227,5 +228,5 @@
 			CPT=1;                                      		                		\
 			for files in $(ALL_FILES); do                                  				\
-				files=`$(BASENAME) $$files`;                   					\
+				files=`$(BASENAME) $$files .type`;                   				\
 				$(ECHO) "$$CPT) $$files";           		                		\
 				FILES[$$CPT]=$$files;				                		\
@@ -250,5 +251,5 @@
 			$(READ) FILENAME_DEST;									\
 														\
-			if $(TEST) -z "$$FILENAME_DEST" -o -d "$(DIR_TYPE)/$$FILENAME_DEST";			\
+			if $(TEST) -z "$$FILENAME_DEST" -o -d "$(DIR_TYPE)/$$FILENAME_DEST.type";		\
 			then											\
 				$(ECHO) "Invalid name : string is empty, or filename is already used";		\
@@ -256,15 +257,15 @@
 			fi;											\
 														\
-			$(ECHO) "Rename file      : $(DIR_LANGUAGE)/$$FILENAME_SRC";                 		\
-			$(MV) $(DIR_LANGUAGE)/$$FILENAME_SRC    $(DIR_LANGUAGE)/$$FILENAME_DEST;               	\
-														\
-			$(ECHO) "Rename file      : $(DIR_TYPE)/$$FILENAME_SRC";                 		\
-			$(MV) $(DIR_TYPE)/$$FILENAME_SRC        $(DIR_TYPE)/$$FILENAME_DEST;               	\
+			$(ECHO) "Rename file      : $(DIR_LANGUAGE)/$$FILENAME_SRC.lang";              		\
+			$(MV) $(DIR_LANGUAGE)/$$FILENAME_SRC.lang $(DIR_LANGUAGE)/$$FILENAME_DEST.lang;         \
+														\
+			$(ECHO) "Rename file      : $(DIR_TYPE)/$$FILENAME_SRC.type";                 		\
+			$(MV) $(DIR_TYPE)/$$FILENAME_SRC.type     $(DIR_TYPE)/$$FILENAME_DEST.type;             \
 														\
 			$(ECHO) "Rename file      : $(DIR_PACKAGE)/$$FILENAME_SRC.sty";                    	\
-			$(MV) $(DIR_PACKAGE)/$$FILENAME_SRC.sty $(DIR_PACKAGE)/$$FILENAME_DEST.sty;		\
+			$(MV) $(DIR_PACKAGE)/$$FILENAME_SRC.sty   $(DIR_PACKAGE)/$$FILENAME_DEST.sty;		\
 														\
 			$(ECHO) "Rename directory : $(DIR_DOCUMENTS)/$$FILENAME_SRC";                    	\
-			$(MV) $(DIR_DOCUMENTS)/$$FILENAME_SRC   $(DIR_DOCUMENTS)/$$FILENAME_DEST;
+			$(MV) $(DIR_DOCUMENTS)/$$FILENAME_SRC     $(DIR_DOCUMENTS)/$$FILENAME_DEST;
 
 #--------------------------------------------------------------------------------
@@ -288,6 +289,6 @@
 			CPT=0;                                      		                		\
 			for files in $(ALL_FILES); do                                  				\
-				files=`$(BASENAME) $$files`;                   					\
-				type=`$(CAT) $(DIR_TYPE)/$$files`;						\
+				files=`$(BASENAME) $$files .type`;                   				\
+				type=`$(CAT) $(DIR_TYPE)/$$files.type`;						\
 				$(ECHO) "$$CPT) $$type - $$files";           		                	\
 				FILES[$$CPT]=$$files;				                		\
@@ -312,5 +313,5 @@
 														\
 			CPT=0;						                        		\
-			for lang in `$(CAT) $(DIR_LANGUAGE)/$$SELECT_FILE`; do					\
+			for lang in `$(CAT) $(DIR_LANGUAGE)/$$SELECT_FILE.lang`; do				\
 			    	$(ECHO) "$$CPT) $$lang";				                	\
 				LANG[$$CPT]=$$lang;				                		\
